FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Clock Class Reference

This widget provides a round analog clock display. More...

`#include <Fl_Clock.H>`

Inheritance diagram for Fl_Clock:

List of all members.

## Public Member Functions
| Fl_Clock (int X, int Y, int W, int H, const char *L=0)
| Create an Fl_Clock widget using the given position, size, and label string.
| Fl_Clock (uchar t, int X, int Y, int W, int H, const char *L)
| Create an Fl_Clock widget using the given boxtype, position, size, and label string.
int | handle (int)
| Handles the specified event.
| ~Fl_Clock ()
| The destructor removes the clock.

## Detailed Description

This widget provides a round analog clock display.

Fl_Clock is provided for Forms compatibility. It installs a 1-second timeout callback using Fl::add_timeout(). You can choose the rounded or square type of the clock with type(), see below.

type() FL_SQUARE_CLOCK and FL_ROUND_CLOCK

## Constructor & Destructor Documentation

Fl_Clock::Fl_Clock | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

Create an Fl_Clock widget using the given position, size, and label string.

The default boxtype is `FL_NO_BOX`.

Parameters:

  [in] | X,Y,W,H | position and size of the widget
  [in] | L | widget label, default is no label

Fl_Clock::Fl_Clock | ( | uchar | t,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L
| ) |  |

Create an Fl_Clock widget using the given boxtype, position, size, and label string.

Parameters:

  [in] | t | boxtype
  [in] | X,Y,W,H | position and size of the widget
  [in] | L | widget label, default is no label

## Member Function Documentation

int Fl_Clock::handle | ( | int | event | ) | `[virtual]`

Handles the specified event.

You normally don't call this method directly, but instead let FLTK do it when the user interacts with the widget.

When implemented in a widget, this function must return 0 if the widget does not use the event or 1 otherwise.

Most of the time, you want to call the inherited handle() method in your overridden method so that you don't short-circuit events that you don't handle. In this last case you should return the callee retval.

Parameters:

  [in] | event | the kind of event received

Return values:

  0 | if the event was not used or understood
  1 | if the event was used and can be deleted

See also:
  Fl_Event

Reimplemented from Fl_Widget.

The documentation for this class was generated from the following files:

- Fl_Clock.H
- Fl_Clock.cxx